.general, .linea, .subtexto, .volver, .linea2, .cont {
    margin: 1vh 1vw;
    padding: 1vh 1vw;
    display: flex;
    justify-content: center;
    align-items: center;
}
.subtexto {
    padding: 0;
}
.general, .subtexto {
    flex-direction: column;
}
.subimagen, .subtexto, .cont, .general {
    position: relative; 
}
.general, .cont {
    width: 96vw;
}
.general {
    margin-top: 2vh;
}
.linea, .volver, .linea2, .cont {
    padding-bottom: 12vh;
    flex-direction: row;
}
.imagengaleria {
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
    z-index: 800;
    transition: all 0.5s ease-in-out;
}
#doce {
    object-fit: contain;
}
.subimagen, .subtexto {
    width: 25vw;
}
.subimagen, .subtexto, .cont {
    height: 50vh;
}
#trece {
    width: 15vw;
}

.subimagen {
    overflow: hidden;
}

.subtexto {
    transition: all 0.5s ease-in-out;
    position: relative; 
}
#charlie {
    background-image: url('/assets/img/Historica/XVIII-XX/Charleston/Charleston_Atras.png');
}
#tarde {
    background-image: url('/assets/img/Historica/XVIII-XX/Tarde/Vestido_Tarde_Fondo.png');
}
#vestidito{
    background-image: url('/assets/img/Historica/XVIII-XX/XIX-Nina/Vestido_XIX_Nina_Fondo.png');
}
#trajecito {
    background-image: url('/assets/img/Historica/XVIII-XX/XIX-Nino/Traje_XIX_Nino_Fondo.png');
}
#gato {
    background-image: url('/assets/img/Historica/XVIII-XX/Gato/Gato_Botas_Fondo.png');
}
#gretel{
    background-image: url('/assets/img/Historica/XVIII-XX/Gretel/Gretel_Fondo.png');
}
#implante{
    background-image: url('/assets/img/Historica/XVIII-XX/XIV/Vestido_XIV_Fondo.png');
}
#dalu{
    background-image: url('/assets/img/Historica/XVIII-XX/XIX/Vestido_XIX_Fondo.png');
}
#caballero {
    background-image: url('/assets/img/Historica/XVIII-XX/Caballero/Caballero_XIX_Fondo.png');
}
#blanquita {
    background-image: url('/assets/img/Historica/XVIII-XX/XIX-Nina-Blanco/Vestido_XIX_Blanco_Fondo.png');
}
#rosita {
    background-image: url('/assets/img/Historica/XVIII-XX/XIX_Rosado/Vestido_XIX_Rosa_Fondo.png');
}  
.subsubimagen {
    position: relative;
    background-repeat: no-repeat;
    background-size: 120%;
    background-position: left;
    transition: all 0.5s ease-in-out;
}
.subsubimagen:hover {
    background-size: 100%;
}
#esp {
    height: 85%;
    width: auto;
    position: absolute;
    bottom: 5%;
    right: 5%;
}
.textoabajo {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%; 
    height: 25%; 
    display: flex;
    justify-content: center;
    align-items: center; 
    transition: all 0.5s ease-in-out;
    opacity: 0;
    z-index: 10; 
}
.cont {
    display: none;
}

.textoabajo p {
    margin: 0;
    text-align: center;
    color: black;
    background: rgb(255, 255, 255);
    padding: 10px;
    border-radius: 5px;
}

.linea2 {
    position: absolute;
}

.subtexto:hover .textoabajo {
    opacity: 1;
}

.subtexto:hover .imagengaleria {
    transform: scale(1.1);
}

.subtexto:hover, .textoabajo p {
    box-shadow: 0px 1px 5px 4px rgba(0,0,0,0.3);
}

@media (max-width: 768px){
    #doce{
        object-fit: cover;
    }
    
}



















.modal {
    display: none; 
    position: fixed; 
    z-index: 10011; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden; 
    background-color: rgba(0,0,0,0.9);
    opacity: 0; 
    transition: opacity 0.1s ease-in, opacity 0.5s ease-out;
}

.modal-content {
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100vw;
    margin: 0;
    text-align: center;
    height: 100vh;
}

.modal-content img {
    margin-top: 2vh;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.modal-content p {
    color: #ccc;
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}
